#!/bin/bash
# OChess is using the lichess chess-openings database
# that can be found here: https://github.com/lichess-org/chess-openings

# Init variables
urldb="https://github.com/lichess-org/chess-openings"
tmp=$(mktemp -d)
wai=$(dirname $(readlink -f "$0")) # Current script directory
dst="${wai}/../src/binres/"

# Fetch database
git clone "$urldb" "$tmp"

# Generate c_str from database
cd $tmp
wxbin2c a.tsv a_tsv.hpp
wxbin2c b.tsv b_tsv.hpp
wxbin2c c.tsv c_tsv.hpp
wxbin2c d.tsv d_tsv.hpp
wxbin2c e.tsv e_tsv.hpp

# Combine c_str files
cat a_tsv.hpp > openings.hpp
cat b_tsv.hpp >> openings.hpp
cat c_tsv.hpp >> openings.hpp
cat d_tsv.hpp >> openings.hpp
cat e_tsv.hpp >> openings.hpp

# Save
mv openings.hpp "$dst"

# Cleaning
rm -rf "$tmp"
